package com.hzs.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @Description: 短信发送范围
 * @Author: jiang chao
 * @Time: 2023/3/8 15:02
 * @Classname: ESmsSendStatus
 * @PackageName: com.hzs.common.core.enums
 */
@AllArgsConstructor
@Getter
public enum ESmsSendScope {

    /**
     * 指定会员
     */
    MEMBER(1, "指定会员"),

    /**
     * 订单短信
     */
    ORDER(2, "订单短信"),

    /**
     * 指定手机号
     */
    CUSTOM(3, "指定手机号"),

    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;

}
